<?php
// get these values from your DB.
require_once('config.php');
$error_message;
$valid = true;

$site_cd = $_REQUEST['site_cd'];


$sql="	select stp_zom.site_cd,stp_zom.mst_RowID,stp_zom.stp_zom_data from stp_zom (NOLOCK), stp_mst (NOLOCK), job_mst (NOLOCK)
		where	stp_zom.mst_RowID = stp_mst.RowID 
		AND		stp_zom.site_cd = stp_mst.site_cd
		AND		stp_mst. mst_rowid = job_mst.rowid
		AND		stp_mst. site_cd = job_mst.site_cd
		AND 	stp_zom.site_cd = '".$site_cd."'";
		
$stmt = sqlsrv_query( $conn, $sql);

if( !$stmt ) {
     $error_message = "Error selecting table (stp_zom)";
	 returnError($error_message);
     die( print_r( sqlsrv_errors(), true));
	 
}
$json= array();
do {
     while ($row = sqlsrv_fetch_array($stmt, SQLSRV_FETCH_ASSOC)) {	
	 
		$json[] = $row;		
	
     }
} while ( sqlsrv_next_result($stmt) );


if ($valid) {

	//echo $sql;
	returnData($json);	
	
}

function returnData($json){
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Successfully',	
	'data' =>$json);
	
	echo json_encode($returnData);	
}

function returnError($error_message){
	$json = array();
	
	$returnData = array(
	'status' => 'ERROR',
	'message' => $error_message,
	'data' => '');
	
	echo json_encode($returnData);
		
}
	sqlsrv_free_stmt( $stmt);
	sqlsrv_close( $conn);	

 
?>